Skip to navigation

Create request to close accounts of users

View as Markdown

Creates a request to close the accounts of existing users.

Given a CSV list of users, close their accounts.

Your CSV import file is made up of a header row with the column headers and a row of user or account data for each user whose account you want to close.

To ensure your CSV is properly formatted, use the Sample Bulk Update CSV file as a template. The following table describes the columns.

ColumnRequiredDescription
AccountIDyesThe 32-character API account ID of the user’s account in your organization. You can find this value in the API and Keys section of the Admin area of the account.
AccountNameThe name of the user’s account in your organization. The account name must match the account ID provided.
FirstNameyesThe user’s first name.
LastNameyesThe user’s last name.
UserEmailyesThe user’s complete email address.
PermissionSetyesThe user’s permission set. The PermissionSet value must match an existing permission set for the account. This value is not case sensitive.

Required authentication scopes: user_write.

Authentication

AuthorizationBearer
OAuth2 Access code Grant

Path parameters

organizationIdstringRequired

Request

This endpoint expects a multipart form containing a file.
file.csvfileRequired
CSV file.

Response

OK
idstringOptionalformat: "uuid"
typestringOptional
requestorobjectOptional
createddatetimeOptional
last_modifieddatetimeOptional
statusstringOptional
Status.
user_countintegerOptional
processed_user_countintegerOptional
added_user_countintegerOptional
updated_user_countintegerOptional
closed_user_countintegerOptional
no_action_required_user_countintegerOptional
error_countintegerOptional
warning_countintegerOptional
invalid_column_headersstringOptional
imports_not_found_or_not_available_for_accountsstringOptional
imports_failed_for_accountsstringOptional
imports_timed_out_for_accountsstringOptional
imports_not_found_or_not_available_for_sitesstringOptional
imports_failed_for_sitesstringOptional
imports_timed_out_for_sitesstringOptional
file_level_error_rollupslist of objectsOptional
user_level_error_rollupslist of objectsOptional
user_level_warning_rollupslist of objectsOptional
has_csv_resultsbooleanOptional
results_uristringOptional